#include<iostream>
using namespace std;
int main(){
    int a,b,c,d,e;
    cin>>a>>b>>c>>d>>e;
    int rezyltat;

    int sa=a*a,sb=b*b,sc=c*c,sd=d*d,se=e*e;

    if(se>sa+sb+sc+sd){
        rezyltat=1;
        
    }
    else if(se>sa+sb+sc){
        rezyltat=2;
        
    }
    else if(se>sa+sb){
        rezyltat=3;
        
    }
    else if(se>sa){
        rezyltat=4;
        
    }else{
    rezyltat=4;
    }
    
    cout<<rezyltat;









    return 0;
}
